%define tarname		%{name}-%{oversion}
%define oversion	1.4rc5
%define rcver		rc5
%define major		1
%define libname		%mklibname aa %{major}
%define develname	%mklibname aa -d

Name:		aalib
Version:	1.4.0
Release:	%mkrel -c %{rcver} 23
Summary:	AA (Ascii Art) library
License:	LGPLv2
Group:		System/Libraries
URL:		http://aa-project.sourceforge.net/aalib/
Source0:	http://sourceforge.net/projects/aa-project/files/aa-lib/%{oversion}/%{tarname}.tar.xz
Patch0:		aalib-info.patch
Patch1:		aalib-rpath.patch
Patch2:		aalib-1.4-automake18.patch
Patch3:		aalib-1.4.0-automake-1.13.patch

BuildRequires: texinfo
BuildRequires: lib64gpm-devel
BuildRequires: lib64slang-devel
BuildRequires: lib64x11-devel

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

#--------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	AA (Ascii Art) library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

#--------------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libaa-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install this package if you want to develop applications that
will use the %{name} library.

#--------------------------------------------------------------------------------

%package	progs
Summary:	Tools to %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}

%description	progs
AA-lib tools.

#--------------------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
		--disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/aalib-config

# we don't want these
find %{buildroot} -name '*.la' -delete

%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%doc NEWS README
%{_libdir}/libaa.so.%{major}*

%files -n %{develname}
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_libdir}/libaa.so
%{_infodir}/%{name}.info.*
%{_includedir}/%{name}.h
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man3/aa*.3.*
%{_mandir}/man3/mem_d.3.*
%{_mandir}/man3/save_d.3.*

%files progs
%doc README
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_mandir}/man1/aafire.1.*


%changelog
* Sat Jan 20 2018 bb2 <bb2> - 1.4.0-0.rc5.23pclos2018
- rebuild
